Nini Library API Reference - http://nini.sourceforge.net/ |

# ConfigBase Methods

The methods of the ConfigBase class are listed below. For a complete list of ConfigBase class members, see the ConfigBase Members topic.

#### Public Instance Methods

Add | Adds a new IConfig.
Contains | Returns true if the configuration key is present.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
Get | Overloaded. Returns a string key value.
GetBoolean | Overloaded. Returns a boolean key value.
GetDouble | Overloaded. Returns a double key value.
GetExpanded | Returns the expanded string value. This method does not replace the other key values in the IConfigSource.
GetFloat | Overloaded. Returns a float key value.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type. GetHashCode is suitable for use in hashing algorithms and data structures like a hash table.
GetInt | Overloaded. Returns an integer key value.
GetKeys | Returns an Array of the key strings.
GetLong | Overloaded. Returns an long key value.
GetString | Overloaded. Returns a string key value.
GetType (inherited from Object) | Gets the Type of the current instance.
GetValues | Returns an Array of all key values.
Remove | Removes a configuration key.
Set | Sets a key value.
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.
OnKeyRemoved | Raises the KeyRemoved event.
OnKeySet | Raises the KeySet event.

#### See Also

ConfigBase Class | Nini.Config Namespace